LibreOffice: SecurityEnvironment Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
List of all members
SecurityEnvironment Service Reference

Service of XSecurityEnvironment. More...

Inheritance diagram for SecurityEnvironment:

## Additional Inherited Members
Public Member Functions inherited from XSecurityEnvironment
sequence< com::sun::star::security::XCertificate > | getPersonalCertificates () raises ( com::sun::star::uno::SecurityException )
| Get personal certificates from the environment.
com::sun::star::security::XCertificate | getCertificate ([in] string issuerName, [in] sequence< byte > serialNumber) raises ( com::sun::star::uno::SecurityException )
| Get certificate from the environment by issuer name and serial number.
sequence< com::sun::star::security::XCertificate > | buildCertificatePath ([in] com::sun::star::security::XCertificate beginCert) raises ( com::sun::star::uno::SecurityException )
| Build certificate path from a certain certificate.
com::sun::star::security::XCertificate | createCertificateFromRaw ([in] sequence< byte > rawCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from raw DER encoded certificate.
com::sun::star::security::XCertificate | createCertificateFromAscii ([in] string asciiCertificate) raises ( com::sun::star::uno::SecurityException )
| Create certificate interface from a Base64 encoded certificate.
long | verifyCertificate ([in] com::sun::star::security::XCertificate xEECertificate, [in] sequence< com::sun::star::security::XCertificate > intermediateCertificates) raises ( com::sun::star::uno::SecurityException )
| Verify a certificate.
long | getCertificateCharacters ([in] com::sun::star::security::XCertificate xCertificate) raises ( com::sun::star::uno::SecurityException )
| Get a certificate characters.
string | getSecurityEnvironmentInformation ()
| Get the Environment detail information.
sequence< com::sun::star::security::XCertificate > | getAllCertificates () raises ( com::sun::star::uno::SecurityException )
| List all certificates, private (as returned by getPersonalCertificates) as well as those of other people/orgas.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Service of XSecurityEnvironment.

The documentation for this service was generated from the following file:

- com/sun/star/xml/crypto/SecurityEnvironment.idl